Sites werken niet onder php 5.6

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

Joke Ouwerling

Joke Ouwerling

03/06/2016 14:55:00
Quote Anchor link
Hallo allemaal,
Mijn sites en wp blogs en phpbb forums werken niet onder php 5.6.
Mijn hosting provider zegt dat hij er niets aan kan doen. Mijn sites werken nu onder php 5.4.
Ik heb de laatste versie van wp en ook van phpbb en mijn sites zijn verder up to date volgens mij.
Ik wil dat mijn sites gewoon werken onder php 5.6.
Wat kan ik doen, behalve verhuizen naar een andere hosting provider?

Johanna
 
PHP hulp

PHP hulp

08/05/2021 14:47:20
 
Ramon van Dongen

Ramon van Dongen

03/06/2016 15:03:31
Quote Anchor link
Dus je hosting biedt php 5.6 aan?

Wat werkt er dan precies van je sites niet doordat je php 5.4 hebt in je scripts?
 
Joke Ouwerling

Joke Ouwerling

03/06/2016 15:06:12
Quote Anchor link
Ja ze bieden php 5.6 aan, maar als ik dat inschakel krijg ik een wit scherm.
 
Ramon van Dongen

Ramon van Dongen

03/06/2016 15:32:19
Quote Anchor link
Dan hebben al je sites, de nieuwste versie van wp blogs en de nieuwste versies van phpbb forums een wit scherm? Ook alle pagina's ervan?
 
Joke Ouwerling

Joke Ouwerling

03/06/2016 15:39:47
Quote Anchor link
Ik heb niet alle pagina's gecheckt, want dat zijn er honderden, maar ja mijn statische sites en de wp blogs en het phpbb forums werken dan niet meer.
Gewijzigd op 03/06/2016 16:30:57 door Joke Ouwerling
 
TJVB tvb

TJVB tvb

03/06/2016 15:42:52
Quote Anchor link
Wat staat er in je error logs? Daarmee kun je vaak uitzoeken wat er verkeerd gaat.
 
Joke Ouwerling

Joke Ouwerling

03/06/2016 15:44:32
Quote Anchor link
Die vind ik in de directadmin neem ik aan? Ik weet echt heel weinig van php af.
 
- SanThe -

- SanThe -

03/06/2016 15:47:34
Quote Anchor link
Ik zie nergens een wit scherm.
 
Joke Ouwerling

Joke Ouwerling

03/06/2016 15:48:44
Quote Anchor link
Nee op dit moment heb ik natuurlijk php 5.4 aanstaan.

Toevoeging op 03/06/2016 15:58:07:

Nou nu breekt mijn klomp. Ik zet alle sites op php 5.6 en nu werkt alles.
Geen idee hoe dat kan.
 
Stefany Newman

Stefany Newman

03/06/2016 22:56:53
Quote Anchor link
Er zijn tween reden jouw websites niet werken onder PHP 5.6:

1. De code van de websites is te oud, en heel veel functie's zijn "debrecated"

2. PHP boven 5.5 kunt gewoon werken met een groot versie van MySQL. Dus, vraag jouw hosting wat is de versie van jouw MySQL installation. Mijn hosting heeft PHP 5.6 maar zijn MySQL versie is heel kleine, dus de niuwe versie van WordPress kunt niet werken.

Het spjit me voor de Nederlands, het is niet mijn moedertaal :)

Toevoeging op 03/06/2016 23:00:22:

Als de probleem MySQL is, je mag dit plugin install voor SQLite gebruiken -> https://wordpress.org/plugins/sqlite-integration/
 
Ben van Velzen

Ben van Velzen

03/06/2016 23:06:46
Quote Anchor link
En bijna alles wat je noemt is incorrect.

1. Deprecated meldingen zorgen niet dat je website niet werkt.
2. Wanneer MySQL wordt gecompiled kan dit tegen de interne libraries of de system libraries. Wanneer de MySQL versie te oud zou zijn werkt heel MySQL niet, dit heeft niets te maken met het wel of niet werken van een pakket als Wordpress. Er zijn uiteraard andere mogelijkheden zoals het ontbreken van PDO oid, maar ik heb geen idee of dit van toepassing zou zijn op WP.

Je laatste oplossing is an sich correct, maar SQLite wil je niet wanneer er werkelijk verkeer is op je site, het is zo traag als dikke stront door een trechter.
 
Stefany Newman

Stefany Newman

04/06/2016 01:03:00
Quote Anchor link
@VanVelzen, als je website hebt minder dan 100k bezoekers per dag, SQLite is fijn -> https://www.sqlite.org/whentouse.html
 
Ben van Velzen

Ben van Velzen

04/06/2016 01:10:36
Quote Anchor link
Onzin. Het is alleen fijn als je er NOOIT naar schrijft. Zodra je schrijft heb je in essentie een complete file lock, en ligt alle verkeer stil. Er is een reden dat andere databases een betere locking granulariteit hebben. En kom vooral niet aan met reclame van SQLite zelf. In de sourcecode staat de exacte informatie vermeld.
 
Joke Ouwerling

Joke Ouwerling

04/06/2016 07:41:26
Quote Anchor link
Mijn hosting provider zei, dat het kan dat mijn sites na een paar uur toch weer offline gaan, omdat dan een bepaalde bug in bv. WP weer actief wordt. Maar mijn sites werken nog steeds.
Ik heb wel in de error logs gekeken en heb enige fouten kunnen wegwerken.
Er blijven er nog wel wat over.
Ik heb er helaas geen verstand van, maar dit zijn de meest bekende errors. Deze 3 errors heb ik op al mijn 3 websites:
AH01071: Got error 'Primary script unknown\n'
AH01071: Got error 'PHP message: PHP Warning: Error while sending QUERY packet. PID=64061 in /data/home/.../domains/,,,/public_html/blog/wp-includes/wp-db.php on line 1811\n'
AH01797: client denied by server configuration: /home/,,,/domains/..../public_html/forum/viewforum.php

Kan iemand me in Jip en Janneke taal vertellen wat die inhouden? En kan ik daar zelf wat aan doen?
 
- Ariën -
Beheerder

- Ariën -

04/06/2016 08:34:06
Quote Anchor link
Zowel phpBB als WordPress zouden prima moeten werken onder PHP 5.6.
Ondersteunt de hosting überhaupt wel .htaccess, want zoiets kom ik onder andere tegen als ik op 'AH01071' zoek.

Ik heb zelf het idee dat er een hoop overdreven beveiligingen op de server zitten die fatsoenlijk gebruik onmogelijk maken.
 
Joke Ouwerling

Joke Ouwerling

04/06/2016 14:30:16
Quote Anchor link
Ja mijn hosting provider ondersteunt wel .htaccess.
Verder weet ik niets over de beveiligingen.
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.